<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaAnmeldung\TeilnehmerDetails;

class TeilnehmerDetailsNachAbsendenController extends TeilnehmerDetailsController
{
  private $statusCode;
  private $bid;

  public function __construct($bid, $statusCode)
  {
    $this->bid = $bid;
    $this->statusCode = $statusCode;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TeilnehmerDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $request = new TeilnehmerDetailsRequest();
    $request->bid = $this->bid;
    $request->statusCode = $this->statusCode;

    return $request;
  }
}